import 'package:flutter/material.dart';
import 'package:jd_sdk/jdsdk.dart';

void main() => runApp(MyApp());

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: Column(
          children: <Widget>[
            InkWell(
              onTap: () async {
                //android
                var result = await Jdsdk.init(appKey: '', appSecret: '');
                print(result);
              },
              child: Center(
                child: Text('测试初迟化'),
              ),
            ),
            SizedBox(
              height: 100,
            ),
            InkWell(
              onTap: () async {
                var result = await Jdsdk.openUrl(
                    url:
                        'https://item.m.jd.com/product/100009963992.html?wxa_abtest=o&utm_user=plusmember&ad_od=share&utm_source=androidapp&utm_medium=appshare&utm_campaign=t_335139774&utm_term=CopyURL');
                print(result);
              },
              child: Center(
                child: Text('测试打开京东'),
              ),
            ),
          ],
        ),
      ),
    );
  }
}
